#include <stdio.h>

int main()
{
    int long long  i,n,x,s,t,a[1000000],max,min;
    
    
    scanf("%lld%lld",  &n, &x);
    for(i=0;i<n;i++)scanf("%lld", &a[i]);
    max=a[0];
    min=a[0];
    for(i=0;i<n;i++)if(a[i]>max)max=a[i];
    for(i=0;i<n;i++)if(a[i]<min)min=a[i];
    s=max-x;
    if(min>0 && min<x){
        t=x-min;
        t*=2;
    } else if (min<0){
        t=-(min)+x;
        t*=2;
    }
     else if(min=0){
        t=x; 
        t*=2;
         
     }
     
     if(max<0)printf("%lld", t);
     if(max>0 && min>x)printf("%lld", s);
     else if(max>0)printf("%lld", t+s);
    return 0;
}